Subject: Re: [PATCH] test-lib: write test results to test-results/<basename>-<pid>

From: SZEDER Gábor <[email-masked]>
Date: Fri, 13 Mar 2009 18:44:20 +0100

On Fri, Mar 13, 2009 at 06:20:02PM +0100, SZEDER Gábor wrote:
> Hi,
> 
> 
> On Fri, Mar 13, 2009 at 05:36:13PM +0100, Johannes Schindelin wrote:
> > On Fri, 13 Mar 2009, Johannes Schindelin wrote:
> > 
> > > The earlier code meant to attempt to strip everything except the test
> > > number, but only stripped the part starting with the last dash.
> > > 
> > > However, there is no reason why we should not use the whole basename.
> 
> I agree.
> 
> > > 
> > > Signed-off-by: Johannes Schindelin <[email-masked]>
> > > ---
> > > 
> > > 	Even if this is not strictly necessary after Hannes' test cleanup, 
> > > 	it would still be nice.
> >
> > Just to clarify: it fixes the issue that these two tests share the same 
> > file in test-results/: t5521-pull-options.sh  t5521-pull-symlink.sh
> > 
> > As a consequence, one's results overwrite the other one's.
> 
> The pid of the test process makes the name of the test result file
> unique for each test, even in the mentioned case, e.g. it would be
> something like t5521-pull-12345 and t5521-pull-23456.

Correction:  those files are not always unique, because although
unlikely, it's possible that these two tests get the same pid.

But with Hannes' patch this issue goes away, and the rest of my
previous mail still holds.

Best,
Gábor